
QGIS Application - Bug report #17295

vector styler in layer properties shows "This renderer doesn't implement a graphical interface" 

message since 2.18.12 ?

2017-10-17 10:52 AM - landry Landry Breuil

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.12 Regression?: No

Operating System: openbsd Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25193

Description

Not 100% sure if it's a regression since 2.18.10/11/12 but in the last months i havent been able to style vector layers, the style window in

the layer properties always shows "This renderer doesn't implement a graphical interface" whatever the style type is selected. Someone

also mentioned it on qgis-dev here: https://lists.osgeo.org/pipermail/qgis-developer/2017-October/049952.html - and i can confirm it on a

self-built 2.18.13 install. Regis mentioned missing build modules, what should i look at in the build log in particular ?

Pointing https://github.com/qgis/QGIS/pull/5265/commits/2116a60b32067fb9160fac2c9f10847e5ea7359a as the source of the probable

regression, but iirc this landed in 2.18.13 and im pretty sure 2.18.12 already had this problem.. so im not sure this is the cause.

History

#1 - 2017-10-17 11:04 AM - Giovanni Manghi

- Category changed from Symbology to GUI

- Status changed from Open to Feedback

- Regression? changed from Yes to No

Not a general issue, of course, in your case as also in the thread you link it seems that it something related to how qgis was built(?).

#2 - 2017-10-18 10:09 AM - landry Landry Breuil

Well, that's a regression as it wasnt an issue in previous 2.18.x releases and suddenly happened in .10 or .11 or .12, while nothing changed in the way i

build qgis. No new dependencies, no compiler change....

#3 - 2017-10-18 10:14 AM - landry Landry Breuil

Also, this happens with an empty profile too, so that rules out the config.

#4 - 2017-10-18 10:47 AM - Giovanni Manghi

landry - wrote:

Also, this happens with an empty profile too, so that rules out the config.

it does not happen on all the official packages for the 3 major OSes. It also does not happen when self compiling on Linux. Could you please raise the
matter on the dev mailing list? I'm not really sure this is a bug. Thanks.

#5 - 2017-10-20 11:32 AM - landry Landry Breuil

There was already a thread on the -dev ML (to which i'm not subscribed) so as i experienced the same issue, i figured out it would be better to file an issue

so that it wouldnt get lost.. sigh.

#6 - 2017-10-20 01:28 PM - Giovanni Manghi

landry Landry Breuil wrote:

There was already a thread on the -dev ML (to which i'm not subscribed) so as i experienced the same issue, i figured out it would be better to file

an issue so that it wouldnt get lost.. sigh.

can't you just subscribe the dev list and inquiry there? yes another user had reported that... and likely was a compilation problem. If you subscribe the list

you can ask him directly, so we will have a confirmation.

#7 - 2018-05-16 05:45 PM - Alexander Bruy

Not reprodusible using official packages for Linux and Windows, as well as self-compiling. Looks like this is local issue.

#8 - 2018-05-23 10:49 AM - landry Landry Breuil

Doesnt happen anymore with 3, so i guess it was a temporary fluke.

#9 - 2018-05-24 01:45 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
